Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.functionParser
Class parser

    java.lang.Object
      java_cup.runtime.lr_parser
          de.grogra.blocks.functionParser.parser

    public class parser

extends java_cup.runtime.lr_parser

CUP v0.10k generated parser.

Field Summary
`protected static short[][]` | `_action_table` Parse-action table.
`protected static short[][]` | `_production_table` Production table.
`protected static short[][]` | `_reduce_table` `reduce_goto` table.
`protected de.grogra.blocks.functionParser.CUP$parser$actions` | `action_obj` Instance of action encapsulation class.

Fields inherited from class java_cup.runtime.lr_parser
`_done_parsing, _error_sync_size, action_tab, cur_token, lookahead, lookahead_pos, production_tab, reduce_tab, stack, tos`

Constructor Summary
`parser()` Default constructor.
`parser(java_cup.runtime.Scanner s)` Constructor which sets the default scanner.

Method Summary
`short[][]` | `action_table()` Access to parse-action table.
`java_cup.runtime.Symbol` | `do_action(int act_num, java_cup.runtime.lr_parser parser, java.util.Stack stack, int top)` Invoke a user supplied parse action.
`int` | `EOF_sym()` `EOF` Symbol index.
`int` | `error_sym()` `error` Symbol index.
`double` | `eval()`
`double` | `eval(double x)`
`double` | `eval(double x, Tuple2f id, Tuple3f nutrientsValues, Tuple2f h, double p, double d)`
`protected void` | `init_actions()` Action encapsulation object initializer.
`void` | `initParser(java.lang.String s)`
`short[][]` | `production_table()` Access to production table.
`short[][]` | `reduce_table()` Access to `reduce_goto` table.
`void` | `set(double x, Tuple2f id, Tuple3f nutrientsValues, Tuple2f h, double p, double d)`
`int` | `start_production()` Indicates start production.
`int` | `start_state()` Indicates start state.
`java.lang.String` | `toString()`

Methods inherited from class java_cup.runtime.lr_parser
`advance_lookahead, cur_err_token, debug_message, debug_parse, debug_reduce, debug_shift, debug_stack, done_parsing, dump_stack, error_recovery, error_sync_size, find_recovery_config, get_action, get_reduce, getScanner, parse_lookahead, parse, read_lookahead, report_error, report_fatal_error, restart_lookahead, scan, setScanner, shift_under_error, syntax_error, try_parse_ahead, unpackFromStrings, unrecovered_syntax_error, user_init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _action_table

    protected static final short[][] _action_table

  Parse-action table.

### _production_table

    protected static final short[][] _production_table

  Production table.

### _reduce_table

    protected static final short[][] _reduce_table

  `reduce_goto` table.

### action_obj

    protected de.grogra.blocks.functionParser.CUP$parser$actions action_obj

  Instance of action encapsulation class.

Constructor Detail

### parser

    public parser()

  Default constructor.

### parser

    public parser(java_cup.runtime.Scanner s)

  Constructor which sets the default scanner.

Method Detail

### action_table

    public short[][] action_table()

  Access to parse-action table.

  Specified by:
    `action_table` in class `java_cup.runtime.lr_parser`

### do_action

    public java_cup.runtime.Symbol do_action(int act_num,
                                             java_cup.runtime.lr_parser parser,
                                             java.util.Stack stack,
                                             int top)
                                      throws java.lang.Exception

  Invoke a user supplied parse action.

  Specified by:
    `do_action` in class `java_cup.runtime.lr_parser`
  Throws:
    `java.lang.Exception`

### EOF_sym

    public int EOF_sym()

  `EOF` Symbol index.

  Specified by:
    `EOF_sym` in class `java_cup.runtime.lr_parser`

### error_sym

    public int error_sym()

  `error` Symbol index.

  Specified by:
    `error_sym` in class `java_cup.runtime.lr_parser`

### eval

    public double eval()

### eval

    public double eval(double x)

### eval

    public double eval(double x,
                       Tuple2f id,
                       Tuple3f nutrientsValues,
                       Tuple2f h,
                       double p,
                       double d)

### init_actions

    protected void init_actions()

  Action encapsulation object initializer.

  Specified by:
    `init_actions` in class `java_cup.runtime.lr_parser`

### initParser

    public void initParser(java.lang.String s)

### production_table

    public short[][] production_table()

  Access to production table.

  Specified by:
    `production_table` in class `java_cup.runtime.lr_parser`

### reduce_table

    public short[][] reduce_table()

  Access to `reduce_goto` table.

  Specified by:
    `reduce_table` in class `java_cup.runtime.lr_parser`

### set

    public void set(double x,
                    Tuple2f id,
                    Tuple3f nutrientsValues,
                    Tuple2f h,
                    double p,
                    double d)

### start_production

    public int start_production()

  Indicates start production.

  Specified by:
    `start_production` in class `java_cup.runtime.lr_parser`

### start_state

    public int start_state()

  Indicates start state.

  Specified by:
    `start_state` in class `java_cup.runtime.lr_parser`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD